
Redmine - Feature #2255

Repository commits in subprojects won't reference tickets in parent projects

2008-12-01 15:15 - Kenneth Hoxworth

Status: Closed Start date: 2008-12-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

We have one large projects that contains a number of smaller sub-projects that each have their own git repository. We'd like to be

able to use the built-in ticket reference/fix commands for commit messages, but unfortunately commits to a repository will only

reference issues in the project the repository belongs to and no parent projects.

Related issues:

Related to Redmine - Patch #2256: Allow commit messages to refer to issues in... Closed 2008-12-01

Related to Redmine - Feature #3687: Possibility to link all projects to a sin... New 2009-07-29

History

#1 - 2008-12-01 15:18 - Kenneth Hoxworth

Patch is in #2256 for anyone interested.

#2 - 2008-12-01 21:25 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#3 - 2011-01-18 07:06 - Toshi MARUYAMA

- Category set to SCM

#4 - 2011-12-21 17:34 - Mischa The Evil

- Status changed from New to Closed

Feature already implemented with r3357 for issue #4674, which was included first in Redmine 0.9.2.
